com.io7m.r2.filters

## Interface R2FilterFogParametersType

- All Known Implementing Classes:
    R2FilterFogParameters

      public interface R2FilterFogParametersType

  Parameters for the fog filter.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceRGBType>` | `fogColor()`
    `default float` | `fogFarPositiveZ()` The positive eye-space Z value at which fog ends.
    `default float` | `fogNearPositiveZ()` The positive eye-space Z value at which fog starts.
    `R2Texture2DUsableType` | `imageDepthTexture()`
    `R2Texture2DUsableType` | `imageTexture()`
    `R2MatricesObserverValuesType` | `observerValues()`
    `default R2FilterFogProgression` | `progression()` A specification of fog progression.
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `viewport()`

- - ### Method Detail

    - #### progression

          default R2FilterFogProgression progression()

      A specification of fog progression. This specifies the curve that fog intensity follows at distances greater than `fogNearPositiveZ()`.
      Returns:
        The fog progression

    - #### viewport

          com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport()

      Returns:
        The output viewport

    - #### imageTexture

          R2Texture2DUsableType imageTexture()

      Returns:
        The input texture that will have fog applied

    - #### imageDepthTexture

          R2Texture2DUsableType imageDepthTexture()

      Returns:
        The depth texture that contains logarithmic depth values

    - #### fogNearPositiveZ

          default float fogNearPositiveZ()

      The positive eye-space Z value at which fog starts. Objects closer than this value have no fog applied.
      Returns:
        The starting fog distance

    - #### fogFarPositiveZ

          default float fogFarPositiveZ()

      The positive eye-space Z value at which fog ends. Objects further than this value are fully obscured by fog.
      Returns:
        The ending fog distance

    - #### fogColor

          com.io7m.jtensors.parameterized.PVectorI3F<R2SpaceRGBType> fogColor()

      Returns:
        The color of the fog

    - #### observerValues

          R2MatricesObserverValuesType observerValues()

      Returns:
        The observer matrix values that were used to produce the scene

Copyright © 2016 <code@io7m.com> http://io7m.com